'use strict'

const ChunkBody = require("./chunkbody");

module.exports = class ChunkDataBody extends ChunkBody {

    constructor({type, data, timestamp, order}) {
        try {
            if(!data) throw `data not given.`;
            if(order && typeof order !== 'number') throw `Invalid order type: ${typeof order}`;
            super({type, body: { state: 'chunk_data', data, timestamp, order }});
        } catch (e) {
            throw e;
        }
    }

}