'use strict'

const ChunkBody = require("./chunkbody");

module.exports = class ChunkStartBody extends ChunkBody {

    constructor({type, timestamp, length}) {
        try {
            if(length && typeof length !== 'number') throw `Invalid length type: ${typeof length}`;
            super({type, body: { state: 'chunk_start', timestamp, length }});
        } catch (e) {
            throw e;
        }
    }

}