'use strict'

const ConnectionDataBodyFactory = require("../connectiondatabodyfactory");

module.exports = class RequestBody extends ConnectionDataBodyFactory {

    static allowed = ['account_connection', 'sign_tx', 'send_tx'];

    constructor({type, body}) {
        try {
            if(!RequestBody.allowed.includes(type)) throw `Invalid type: ${type}`;
            super({type, body});
        } catch (e) {
            throw e;
        }
    }

}