'use strict'

const ConnectionDataBodyFactory = require("../connectiondatabodyfactory");
const RequestBody = require("./requestbody");

module.exports = class ResponseBody extends ConnectionDataBodyFactory {

    constructor({type, body}) {
        try {
            if(!RequestBody.allowed.includes(type)) throw `Invalid type: ${type}`;
            super({type, body});
        } catch (e) {
            throw e;
        }
    }

}