'use strict'

module.exports = class Encoder {

    static Stringify(obj) {
        try {
            if(typeof obj !== 'object') throw {
                code: 'ERR_STRINGIFY',
                msg: `Invalid type: ${obj}`,
            };
            return encodeURIComponent(JSON.stringify(obj));
        } catch (e) {
            throw e;
        }
    }

    static Parse(stringified) {
        try {
            if(typeof stringified !== 'string') throw {
                code: 'ERR_PARSE',
                msg: `Invalid type: ${stringified}`,
            };
            return JSON.parse(decodeURIComponent(stringified));
        } catch (e) {
            throw e;
        }
    }

}