'use strict'

const SaseulJS = require('saseul');
const Saseul = new SaseulJS();
const CryptoJS = require('crypto-js');

module.exports = class Encryptor {

    static Encrypt(str, password) {
        try {
            return JSON.parse(Saseul.Util.Enc.AESFormatter.stringify(
                CryptoJS.AES.encrypt(str, password, {format: Saseul.Util.Enc.AESFormatter})
            ));
        } catch (e) {
            throw e;
        }
    }

    static Decrypt(encrypted, password) {
        try {
            if(typeof encrypted === 'object') encrypted = JSON.stringify(encrypted);
            return CryptoJS.enc.Utf8.stringify(
                CryptoJS.AES.decrypt(encrypted, password, {format: Saseul.Util.Enc.AESFormatter})
            );
        } catch (e) {
            throw e;
        }
    }

}